Subject: New REMOPS PING MIB Object

From: [email-masked]
Date: Wed, 14 Jul 1999 08:47:18 -0400

During the working group session this week in Oslo it was agreed
to add the capability in the DISMAN-PING-MIB to select the TOS
byte setting that should be used when sending a PING probe.
Using what is present in the DISMAN-TRACEROUTE-MIB I have
added the following object:

     pingCtlTos OBJECT-TYPE
    SYNTAX      Unsigned32 (0..255)
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "Specifies the value to store in the TOS OCTET in
        the IP packet used to encapsulate the ping probe.
        The value must be a decimal integer in the range
        0 to 255.  This option can be used to determine
        what effect that an explicit TOS setting has
        on a ping response.  Not all values of TOS are
        legal or meaningful.  TOS is often not supported
        by IP implementations.  Useful values are probably
        '16' (low delay) and '8' (high throughput)."
    REFERENCE
        "RFC 1812 Section 5.3.2, Type of Service (TOS)"
    DEFVAL { 0 }
    ::= { pingCtlEntry 20 }

With a MIN-ACCESS of read-only:

        OBJECT pingCtlTos
        MIN-ACCESS  read-only
        DESCRIPTION
            "This object is not required by implementations that are not
            capable of selecting a TOS setting."

Please let me know if there are any objections or improvements that can be
make with respect to this.

Ken

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 14 Jul 1999 18:23:00 +0200

>>>>> wkenneth  writes:

wkenneth> During the working group session this week in Oslo it was
wkenneth> agreed to add the capability in the DISMAN-PING-MIB to
wkenneth> select the TOS byte setting that should be used when sending
wkenneth> a PING probe.  Using what is present in the
wkenneth> DISMAN-TRACEROUTE-MIB I have added the following object:

[...]

Is this IPv4 only? If not, should we not use the diffserv term for the
bits in the TOS field?
							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)

---

From: Rob Frye <[email-masked]>
Date: Thu, 15 Jul 1999 22:36:22 -0400

> Is this IPv4 only? If not, should we not use the diffserv term for the

Are the bits still called "experimental bits" by diffserv?  If so, I
dislike that term...

-- Rob.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 16 Jul 1999 11:33:06 +0200

>>>>> Rob Frye writes:

Rob> Are the bits still called "experimental bits" by diffserv?  If
Rob> so, I dislike that term...

Here is the definition from RFC 2474:

> Differentiated Services Field: the IPv4 header TOS octet or the IPv6
> Traffic Class octet when interpreted in conformance with the
> definition given in this document.  Also DS field.

I think this is what we are talking about (if I understand Andy's
comment right.)
							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)

---

From: Rob Frye <[email-masked]>
Date: Fri, 16 Jul 1999 15:47:51 -0400

> I think this is what we are talking about (if I understand Andy's

Based on the above definition, I agree to using that term rather than
limiting text to IPv4 TOS.

-- Rob.